### Enumeration

# Gdk ToplevelCapabilities

since: 4.20

#### Declaration

    flags Gdk.ToplevelCapabilities

#### Description [src]

Reflects what features a `GdkToplevel` supports.

Available since: 4.20

#### Members

`GDK_TOPLEVEL_CAPABILITIES_EDGE_CONSTRAINTS`

  Whether tiled window states are supported.

  - Value: `1`
  - Available since: 4.20
`GDK_TOPLEVEL_CAPABILITIES_INHIBIT_SHORTCUTS`

  Whether inhibiting system shortcuts is supported. See `gdk_toplevel_inhibit_system_shortcuts()`.

  - Value: `2`
  - Available since: 4.20
`GDK_TOPLEVEL_CAPABILITIES_TITLEBAR_GESTURES`

  Whether titlebar gestures are supported. See `gdk_toplevel_titlebar_gesture()`.

  - Value: `4`
  - Available since: 4.20
`GDK_TOPLEVEL_CAPABILITIES_WINDOW_MENU`

  Whether showing the window menu is supported. See `gdk_toplevel_show_window_menu()`.

  - Value: `8`
  - Available since: 4.20
`GDK_TOPLEVEL_CAPABILITIES_MAXIMIZE`

  Whether the toplevel can be maximized.

  - Value: `16`
  - Available since: 4.20
`GDK_TOPLEVEL_CAPABILITIES_FULLSCREEN`

  Whether the toplevel can be made fullscreen.

  - Value: `32`
  - Available since: 4.20
`GDK_TOPLEVEL_CAPABILITIES_MINIMIZE`

  Whether the toplevel can be minimized. See `gdk_toplevel_minimize()`.

  - Value: `64`
  - Available since: 4.20
`GDK_TOPLEVEL_CAPABILITIES_LOWER`

  Whether the toplevel can be lowered. See `gdk_toplevel_lower()`.

  - Value: `128`
  - Available since: 4.20